Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/119
Addresses512
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:7c00/119
First address
2c19:dd:d9:dd:c25:c25:94de:7c00
Last address
2c19:dd:d9:dd:c25:c25:94de:7dff
Addresses
512
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:7c00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
c.7.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
d.7.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
/119 is not on a 4-bit boundary, so it takes 2 /120 zones.
Split into smaller subnets/127

2c19:dd:d9:dd:c25:c25:94de:7c00/119 makes 256 subnets of /127.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:7c00/1272c19:dd:d9:dd:c25:c25:94de:7c01
22c19:dd:d9:dd:c25:c25:94de:7c02/1272c19:dd:d9:dd:c25:c25:94de:7c03
32c19:dd:d9:dd:c25:c25:94de:7c04/1272c19:dd:d9:dd:c25:c25:94de:7c05
42c19:dd:d9:dd:c25:c25:94de:7c06/1272c19:dd:d9:dd:c25:c25:94de:7c07
52c19:dd:d9:dd:c25:c25:94de:7c08/1272c19:dd:d9:dd:c25:c25:94de:7c09
62c19:dd:d9:dd:c25:c25:94de:7c0a/1272c19:dd:d9:dd:c25:c25:94de:7c0b
72c19:dd:d9:dd:c25:c25:94de:7c0c/1272c19:dd:d9:dd:c25:c25:94de:7c0d
82c19:dd:d9:dd:c25:c25:94de:7c0e/1272c19:dd:d9:dd:c25:c25:94de:7c0f
92c19:dd:d9:dd:c25:c25:94de:7c10/1272c19:dd:d9:dd:c25:c25:94de:7c11
102c19:dd:d9:dd:c25:c25:94de:7c12/1272c19:dd:d9:dd:c25:c25:94de:7c13
112c19:dd:d9:dd:c25:c25:94de:7c14/1272c19:dd:d9:dd:c25:c25:94de:7c15
122c19:dd:d9:dd:c25:c25:94de:7c16/1272c19:dd:d9:dd:c25:c25:94de:7c17
132c19:dd:d9:dd:c25:c25:94de:7c18/1272c19:dd:d9:dd:c25:c25:94de:7c19
142c19:dd:d9:dd:c25:c25:94de:7c1a/1272c19:dd:d9:dd:c25:c25:94de:7c1b
152c19:dd:d9:dd:c25:c25:94de:7c1c/1272c19:dd:d9:dd:c25:c25:94de:7c1d
162c19:dd:d9:dd:c25:c25:94de:7c1e/1272c19:dd:d9:dd:c25:c25:94de:7c1f
172c19:dd:d9:dd:c25:c25:94de:7c20/1272c19:dd:d9:dd:c25:c25:94de:7c21
182c19:dd:d9:dd:c25:c25:94de:7c22/1272c19:dd:d9:dd:c25:c25:94de:7c23
192c19:dd:d9:dd:c25:c25:94de:7c24/1272c19:dd:d9:dd:c25:c25:94de:7c25
202c19:dd:d9:dd:c25:c25:94de:7c26/1272c19:dd:d9:dd:c25:c25:94de:7c27
212c19:dd:d9:dd:c25:c25:94de:7c28/1272c19:dd:d9:dd:c25:c25:94de:7c29
222c19:dd:d9:dd:c25:c25:94de:7c2a/1272c19:dd:d9:dd:c25:c25:94de:7c2b
232c19:dd:d9:dd:c25:c25:94de:7c2c/1272c19:dd:d9:dd:c25:c25:94de:7c2d
242c19:dd:d9:dd:c25:c25:94de:7c2e/1272c19:dd:d9:dd:c25:c25:94de:7c2f
252c19:dd:d9:dd:c25:c25:94de:7c30/1272c19:dd:d9:dd:c25:c25:94de:7c31
262c19:dd:d9:dd:c25:c25:94de:7c32/1272c19:dd:d9:dd:c25:c25:94de:7c33
272c19:dd:d9:dd:c25:c25:94de:7c34/1272c19:dd:d9:dd:c25:c25:94de:7c35
282c19:dd:d9:dd:c25:c25:94de:7c36/1272c19:dd:d9:dd:c25:c25:94de:7c37
292c19:dd:d9:dd:c25:c25:94de:7c38/1272c19:dd:d9:dd:c25:c25:94de:7c39
302c19:dd:d9:dd:c25:c25:94de:7c3a/1272c19:dd:d9:dd:c25:c25:94de:7c3b
312c19:dd:d9:dd:c25:c25:94de:7c3c/1272c19:dd:d9:dd:c25:c25:94de:7c3d
322c19:dd:d9:dd:c25:c25:94de:7c3e/1272c19:dd:d9:dd:c25:c25:94de:7c3f
332c19:dd:d9:dd:c25:c25:94de:7c40/1272c19:dd:d9:dd:c25:c25:94de:7c41
342c19:dd:d9:dd:c25:c25:94de:7c42/1272c19:dd:d9:dd:c25:c25:94de:7c43
352c19:dd:d9:dd:c25:c25:94de:7c44/1272c19:dd:d9:dd:c25:c25:94de:7c45
362c19:dd:d9:dd:c25:c25:94de:7c46/1272c19:dd:d9:dd:c25:c25:94de:7c47
372c19:dd:d9:dd:c25:c25:94de:7c48/1272c19:dd:d9:dd:c25:c25:94de:7c49
382c19:dd:d9:dd:c25:c25:94de:7c4a/1272c19:dd:d9:dd:c25:c25:94de:7c4b
392c19:dd:d9:dd:c25:c25:94de:7c4c/1272c19:dd:d9:dd:c25:c25:94de:7c4d
402c19:dd:d9:dd:c25:c25:94de:7c4e/1272c19:dd:d9:dd:c25:c25:94de:7c4f
412c19:dd:d9:dd:c25:c25:94de:7c50/1272c19:dd:d9:dd:c25:c25:94de:7c51
422c19:dd:d9:dd:c25:c25:94de:7c52/1272c19:dd:d9:dd:c25:c25:94de:7c53
432c19:dd:d9:dd:c25:c25:94de:7c54/1272c19:dd:d9:dd:c25:c25:94de:7c55
442c19:dd:d9:dd:c25:c25:94de:7c56/1272c19:dd:d9:dd:c25:c25:94de:7c57
452c19:dd:d9:dd:c25:c25:94de:7c58/1272c19:dd:d9:dd:c25:c25:94de:7c59
462c19:dd:d9:dd:c25:c25:94de:7c5a/1272c19:dd:d9:dd:c25:c25:94de:7c5b
472c19:dd:d9:dd:c25:c25:94de:7c5c/1272c19:dd:d9:dd:c25:c25:94de:7c5d
482c19:dd:d9:dd:c25:c25:94de:7c5e/1272c19:dd:d9:dd:c25:c25:94de:7c5f
492c19:dd:d9:dd:c25:c25:94de:7c60/1272c19:dd:d9:dd:c25:c25:94de:7c61
502c19:dd:d9:dd:c25:c25:94de:7c62/1272c19:dd:d9:dd:c25:c25:94de:7c63
512c19:dd:d9:dd:c25:c25:94de:7c64/1272c19:dd:d9:dd:c25:c25:94de:7c65
522c19:dd:d9:dd:c25:c25:94de:7c66/1272c19:dd:d9:dd:c25:c25:94de:7c67
532c19:dd:d9:dd:c25:c25:94de:7c68/1272c19:dd:d9:dd:c25:c25:94de:7c69
542c19:dd:d9:dd:c25:c25:94de:7c6a/1272c19:dd:d9:dd:c25:c25:94de:7c6b
552c19:dd:d9:dd:c25:c25:94de:7c6c/1272c19:dd:d9:dd:c25:c25:94de:7c6d
562c19:dd:d9:dd:c25:c25:94de:7c6e/1272c19:dd:d9:dd:c25:c25:94de:7c6f
572c19:dd:d9:dd:c25:c25:94de:7c70/1272c19:dd:d9:dd:c25:c25:94de:7c71
582c19:dd:d9:dd:c25:c25:94de:7c72/1272c19:dd:d9:dd:c25:c25:94de:7c73
592c19:dd:d9:dd:c25:c25:94de:7c74/1272c19:dd:d9:dd:c25:c25:94de:7c75
602c19:dd:d9:dd:c25:c25:94de:7c76/1272c19:dd:d9:dd:c25:c25:94de:7c77
612c19:dd:d9:dd:c25:c25:94de:7c78/1272c19:dd:d9:dd:c25:c25:94de:7c79
622c19:dd:d9:dd:c25:c25:94de:7c7a/1272c19:dd:d9:dd:c25:c25:94de:7c7b
632c19:dd:d9:dd:c25:c25:94de:7c7c/1272c19:dd:d9:dd:c25:c25:94de:7c7d
642c19:dd:d9:dd:c25:c25:94de:7c7e/1272c19:dd:d9:dd:c25:c25:94de:7c7f
652c19:dd:d9:dd:c25:c25:94de:7c80/1272c19:dd:d9:dd:c25:c25:94de:7c81
662c19:dd:d9:dd:c25:c25:94de:7c82/1272c19:dd:d9:dd:c25:c25:94de:7c83
672c19:dd:d9:dd:c25:c25:94de:7c84/1272c19:dd:d9:dd:c25:c25:94de:7c85
682c19:dd:d9:dd:c25:c25:94de:7c86/1272c19:dd:d9:dd:c25:c25:94de:7c87
692c19:dd:d9:dd:c25:c25:94de:7c88/1272c19:dd:d9:dd:c25:c25:94de:7c89
702c19:dd:d9:dd:c25:c25:94de:7c8a/1272c19:dd:d9:dd:c25:c25:94de:7c8b
712c19:dd:d9:dd:c25:c25:94de:7c8c/1272c19:dd:d9:dd:c25:c25:94de:7c8d
722c19:dd:d9:dd:c25:c25:94de:7c8e/1272c19:dd:d9:dd:c25:c25:94de:7c8f
732c19:dd:d9:dd:c25:c25:94de:7c90/1272c19:dd:d9:dd:c25:c25:94de:7c91
742c19:dd:d9:dd:c25:c25:94de:7c92/1272c19:dd:d9:dd:c25:c25:94de:7c93
752c19:dd:d9:dd:c25:c25:94de:7c94/1272c19:dd:d9:dd:c25:c25:94de:7c95
762c19:dd:d9:dd:c25:c25:94de:7c96/1272c19:dd:d9:dd:c25:c25:94de:7c97
772c19:dd:d9:dd:c25:c25:94de:7c98/1272c19:dd:d9:dd:c25:c25:94de:7c99
782c19:dd:d9:dd:c25:c25:94de:7c9a/1272c19:dd:d9:dd:c25:c25:94de:7c9b
792c19:dd:d9:dd:c25:c25:94de:7c9c/1272c19:dd:d9:dd:c25:c25:94de:7c9d
802c19:dd:d9:dd:c25:c25:94de:7c9e/1272c19:dd:d9:dd:c25:c25:94de:7c9f
812c19:dd:d9:dd:c25:c25:94de:7ca0/1272c19:dd:d9:dd:c25:c25:94de:7ca1
822c19:dd:d9:dd:c25:c25:94de:7ca2/1272c19:dd:d9:dd:c25:c25:94de:7ca3
832c19:dd:d9:dd:c25:c25:94de:7ca4/1272c19:dd:d9:dd:c25:c25:94de:7ca5
842c19:dd:d9:dd:c25:c25:94de:7ca6/1272c19:dd:d9:dd:c25:c25:94de:7ca7
852c19:dd:d9:dd:c25:c25:94de:7ca8/1272c19:dd:d9:dd:c25:c25:94de:7ca9
862c19:dd:d9:dd:c25:c25:94de:7caa/1272c19:dd:d9:dd:c25:c25:94de:7cab
872c19:dd:d9:dd:c25:c25:94de:7cac/1272c19:dd:d9:dd:c25:c25:94de:7cad
882c19:dd:d9:dd:c25:c25:94de:7cae/1272c19:dd:d9:dd:c25:c25:94de:7caf
892c19:dd:d9:dd:c25:c25:94de:7cb0/1272c19:dd:d9:dd:c25:c25:94de:7cb1
902c19:dd:d9:dd:c25:c25:94de:7cb2/1272c19:dd:d9:dd:c25:c25:94de:7cb3
912c19:dd:d9:dd:c25:c25:94de:7cb4/1272c19:dd:d9:dd:c25:c25:94de:7cb5
922c19:dd:d9:dd:c25:c25:94de:7cb6/1272c19:dd:d9:dd:c25:c25:94de:7cb7
932c19:dd:d9:dd:c25:c25:94de:7cb8/1272c19:dd:d9:dd:c25:c25:94de:7cb9
942c19:dd:d9:dd:c25:c25:94de:7cba/1272c19:dd:d9:dd:c25:c25:94de:7cbb
952c19:dd:d9:dd:c25:c25:94de:7cbc/1272c19:dd:d9:dd:c25:c25:94de:7cbd
962c19:dd:d9:dd:c25:c25:94de:7cbe/1272c19:dd:d9:dd:c25:c25:94de:7cbf
972c19:dd:d9:dd:c25:c25:94de:7cc0/1272c19:dd:d9:dd:c25:c25:94de:7cc1
982c19:dd:d9:dd:c25:c25:94de:7cc2/1272c19:dd:d9:dd:c25:c25:94de:7cc3
992c19:dd:d9:dd:c25:c25:94de:7cc4/1272c19:dd:d9:dd:c25:c25:94de:7cc5
1002c19:dd:d9:dd:c25:c25:94de:7cc6/1272c19:dd:d9:dd:c25:c25:94de:7cc7
1012c19:dd:d9:dd:c25:c25:94de:7cc8/1272c19:dd:d9:dd:c25:c25:94de:7cc9
1022c19:dd:d9:dd:c25:c25:94de:7cca/1272c19:dd:d9:dd:c25:c25:94de:7ccb
1032c19:dd:d9:dd:c25:c25:94de:7ccc/1272c19:dd:d9:dd:c25:c25:94de:7ccd
1042c19:dd:d9:dd:c25:c25:94de:7cce/1272c19:dd:d9:dd:c25:c25:94de:7ccf
1052c19:dd:d9:dd:c25:c25:94de:7cd0/1272c19:dd:d9:dd:c25:c25:94de:7cd1
1062c19:dd:d9:dd:c25:c25:94de:7cd2/1272c19:dd:d9:dd:c25:c25:94de:7cd3
1072c19:dd:d9:dd:c25:c25:94de:7cd4/1272c19:dd:d9:dd:c25:c25:94de:7cd5
1082c19:dd:d9:dd:c25:c25:94de:7cd6/1272c19:dd:d9:dd:c25:c25:94de:7cd7
1092c19:dd:d9:dd:c25:c25:94de:7cd8/1272c19:dd:d9:dd:c25:c25:94de:7cd9
1102c19:dd:d9:dd:c25:c25:94de:7cda/1272c19:dd:d9:dd:c25:c25:94de:7cdb
1112c19:dd:d9:dd:c25:c25:94de:7cdc/1272c19:dd:d9:dd:c25:c25:94de:7cdd
1122c19:dd:d9:dd:c25:c25:94de:7cde/1272c19:dd:d9:dd:c25:c25:94de:7cdf
1132c19:dd:d9:dd:c25:c25:94de:7ce0/1272c19:dd:d9:dd:c25:c25:94de:7ce1
1142c19:dd:d9:dd:c25:c25:94de:7ce2/1272c19:dd:d9:dd:c25:c25:94de:7ce3
1152c19:dd:d9:dd:c25:c25:94de:7ce4/1272c19:dd:d9:dd:c25:c25:94de:7ce5
1162c19:dd:d9:dd:c25:c25:94de:7ce6/1272c19:dd:d9:dd:c25:c25:94de:7ce7
1172c19:dd:d9:dd:c25:c25:94de:7ce8/1272c19:dd:d9:dd:c25:c25:94de:7ce9
1182c19:dd:d9:dd:c25:c25:94de:7cea/1272c19:dd:d9:dd:c25:c25:94de:7ceb
1192c19:dd:d9:dd:c25:c25:94de:7cec/1272c19:dd:d9:dd:c25:c25:94de:7ced
1202c19:dd:d9:dd:c25:c25:94de:7cee/1272c19:dd:d9:dd:c25:c25:94de:7cef
1212c19:dd:d9:dd:c25:c25:94de:7cf0/1272c19:dd:d9:dd:c25:c25:94de:7cf1
1222c19:dd:d9:dd:c25:c25:94de:7cf2/1272c19:dd:d9:dd:c25:c25:94de:7cf3
1232c19:dd:d9:dd:c25:c25:94de:7cf4/1272c19:dd:d9:dd:c25:c25:94de:7cf5
1242c19:dd:d9:dd:c25:c25:94de:7cf6/1272c19:dd:d9:dd:c25:c25:94de:7cf7
1252c19:dd:d9:dd:c25:c25:94de:7cf8/1272c19:dd:d9:dd:c25:c25:94de:7cf9
1262c19:dd:d9:dd:c25:c25:94de:7cfa/1272c19:dd:d9:dd:c25:c25:94de:7cfb
1272c19:dd:d9:dd:c25:c25:94de:7cfc/1272c19:dd:d9:dd:c25:c25:94de:7cfd
1282c19:dd:d9:dd:c25:c25:94de:7cfe/1272c19:dd:d9:dd:c25:c25:94de:7cff
1292c19:dd:d9:dd:c25:c25:94de:7d00/1272c19:dd:d9:dd:c25:c25:94de:7d01
1302c19:dd:d9:dd:c25:c25:94de:7d02/1272c19:dd:d9:dd:c25:c25:94de:7d03
1312c19:dd:d9:dd:c25:c25:94de:7d04/1272c19:dd:d9:dd:c25:c25:94de:7d05
1322c19:dd:d9:dd:c25:c25:94de:7d06/1272c19:dd:d9:dd:c25:c25:94de:7d07
1332c19:dd:d9:dd:c25:c25:94de:7d08/1272c19:dd:d9:dd:c25:c25:94de:7d09
1342c19:dd:d9:dd:c25:c25:94de:7d0a/1272c19:dd:d9:dd:c25:c25:94de:7d0b
1352c19:dd:d9:dd:c25:c25:94de:7d0c/1272c19:dd:d9:dd:c25:c25:94de:7d0d
1362c19:dd:d9:dd:c25:c25:94de:7d0e/1272c19:dd:d9:dd:c25:c25:94de:7d0f
1372c19:dd:d9:dd:c25:c25:94de:7d10/1272c19:dd:d9:dd:c25:c25:94de:7d11
1382c19:dd:d9:dd:c25:c25:94de:7d12/1272c19:dd:d9:dd:c25:c25:94de:7d13
1392c19:dd:d9:dd:c25:c25:94de:7d14/1272c19:dd:d9:dd:c25:c25:94de:7d15
1402c19:dd:d9:dd:c25:c25:94de:7d16/1272c19:dd:d9:dd:c25:c25:94de:7d17
1412c19:dd:d9:dd:c25:c25:94de:7d18/1272c19:dd:d9:dd:c25:c25:94de:7d19
1422c19:dd:d9:dd:c25:c25:94de:7d1a/1272c19:dd:d9:dd:c25:c25:94de:7d1b
1432c19:dd:d9:dd:c25:c25:94de:7d1c/1272c19:dd:d9:dd:c25:c25:94de:7d1d
1442c19:dd:d9:dd:c25:c25:94de:7d1e/1272c19:dd:d9:dd:c25:c25:94de:7d1f
1452c19:dd:d9:dd:c25:c25:94de:7d20/1272c19:dd:d9:dd:c25:c25:94de:7d21
1462c19:dd:d9:dd:c25:c25:94de:7d22/1272c19:dd:d9:dd:c25:c25:94de:7d23
1472c19:dd:d9:dd:c25:c25:94de:7d24/1272c19:dd:d9:dd:c25:c25:94de:7d25
1482c19:dd:d9:dd:c25:c25:94de:7d26/1272c19:dd:d9:dd:c25:c25:94de:7d27
1492c19:dd:d9:dd:c25:c25:94de:7d28/1272c19:dd:d9:dd:c25:c25:94de:7d29
1502c19:dd:d9:dd:c25:c25:94de:7d2a/1272c19:dd:d9:dd:c25:c25:94de:7d2b
1512c19:dd:d9:dd:c25:c25:94de:7d2c/1272c19:dd:d9:dd:c25:c25:94de:7d2d
1522c19:dd:d9:dd:c25:c25:94de:7d2e/1272c19:dd:d9:dd:c25:c25:94de:7d2f
1532c19:dd:d9:dd:c25:c25:94de:7d30/1272c19:dd:d9:dd:c25:c25:94de:7d31
1542c19:dd:d9:dd:c25:c25:94de:7d32/1272c19:dd:d9:dd:c25:c25:94de:7d33
1552c19:dd:d9:dd:c25:c25:94de:7d34/1272c19:dd:d9:dd:c25:c25:94de:7d35
1562c19:dd:d9:dd:c25:c25:94de:7d36/1272c19:dd:d9:dd:c25:c25:94de:7d37
1572c19:dd:d9:dd:c25:c25:94de:7d38/1272c19:dd:d9:dd:c25:c25:94de:7d39
1582c19:dd:d9:dd:c25:c25:94de:7d3a/1272c19:dd:d9:dd:c25:c25:94de:7d3b
1592c19:dd:d9:dd:c25:c25:94de:7d3c/1272c19:dd:d9:dd:c25:c25:94de:7d3d
1602c19:dd:d9:dd:c25:c25:94de:7d3e/1272c19:dd:d9:dd:c25:c25:94de:7d3f
1612c19:dd:d9:dd:c25:c25:94de:7d40/1272c19:dd:d9:dd:c25:c25:94de:7d41
1622c19:dd:d9:dd:c25:c25:94de:7d42/1272c19:dd:d9:dd:c25:c25:94de:7d43
1632c19:dd:d9:dd:c25:c25:94de:7d44/1272c19:dd:d9:dd:c25:c25:94de:7d45
1642c19:dd:d9:dd:c25:c25:94de:7d46/1272c19:dd:d9:dd:c25:c25:94de:7d47
1652c19:dd:d9:dd:c25:c25:94de:7d48/1272c19:dd:d9:dd:c25:c25:94de:7d49
1662c19:dd:d9:dd:c25:c25:94de:7d4a/1272c19:dd:d9:dd:c25:c25:94de:7d4b
1672c19:dd:d9:dd:c25:c25:94de:7d4c/1272c19:dd:d9:dd:c25:c25:94de:7d4d
1682c19:dd:d9:dd:c25:c25:94de:7d4e/1272c19:dd:d9:dd:c25:c25:94de:7d4f
1692c19:dd:d9:dd:c25:c25:94de:7d50/1272c19:dd:d9:dd:c25:c25:94de:7d51
1702c19:dd:d9:dd:c25:c25:94de:7d52/1272c19:dd:d9:dd:c25:c25:94de:7d53
1712c19:dd:d9:dd:c25:c25:94de:7d54/1272c19:dd:d9:dd:c25:c25:94de:7d55
1722c19:dd:d9:dd:c25:c25:94de:7d56/1272c19:dd:d9:dd:c25:c25:94de:7d57
1732c19:dd:d9:dd:c25:c25:94de:7d58/1272c19:dd:d9:dd:c25:c25:94de:7d59
1742c19:dd:d9:dd:c25:c25:94de:7d5a/1272c19:dd:d9:dd:c25:c25:94de:7d5b
1752c19:dd:d9:dd:c25:c25:94de:7d5c/1272c19:dd:d9:dd:c25:c25:94de:7d5d
1762c19:dd:d9:dd:c25:c25:94de:7d5e/1272c19:dd:d9:dd:c25:c25:94de:7d5f
1772c19:dd:d9:dd:c25:c25:94de:7d60/1272c19:dd:d9:dd:c25:c25:94de:7d61
1782c19:dd:d9:dd:c25:c25:94de:7d62/1272c19:dd:d9:dd:c25:c25:94de:7d63
1792c19:dd:d9:dd:c25:c25:94de:7d64/1272c19:dd:d9:dd:c25:c25:94de:7d65
1802c19:dd:d9:dd:c25:c25:94de:7d66/1272c19:dd:d9:dd:c25:c25:94de:7d67
1812c19:dd:d9:dd:c25:c25:94de:7d68/1272c19:dd:d9:dd:c25:c25:94de:7d69
1822c19:dd:d9:dd:c25:c25:94de:7d6a/1272c19:dd:d9:dd:c25:c25:94de:7d6b
1832c19:dd:d9:dd:c25:c25:94de:7d6c/1272c19:dd:d9:dd:c25:c25:94de:7d6d
1842c19:dd:d9:dd:c25:c25:94de:7d6e/1272c19:dd:d9:dd:c25:c25:94de:7d6f
1852c19:dd:d9:dd:c25:c25:94de:7d70/1272c19:dd:d9:dd:c25:c25:94de:7d71
1862c19:dd:d9:dd:c25:c25:94de:7d72/1272c19:dd:d9:dd:c25:c25:94de:7d73
1872c19:dd:d9:dd:c25:c25:94de:7d74/1272c19:dd:d9:dd:c25:c25:94de:7d75
1882c19:dd:d9:dd:c25:c25:94de:7d76/1272c19:dd:d9:dd:c25:c25:94de:7d77
1892c19:dd:d9:dd:c25:c25:94de:7d78/1272c19:dd:d9:dd:c25:c25:94de:7d79
1902c19:dd:d9:dd:c25:c25:94de:7d7a/1272c19:dd:d9:dd:c25:c25:94de:7d7b
1912c19:dd:d9:dd:c25:c25:94de:7d7c/1272c19:dd:d9:dd:c25:c25:94de:7d7d
1922c19:dd:d9:dd:c25:c25:94de:7d7e/1272c19:dd:d9:dd:c25:c25:94de:7d7f
1932c19:dd:d9:dd:c25:c25:94de:7d80/1272c19:dd:d9:dd:c25:c25:94de:7d81
1942c19:dd:d9:dd:c25:c25:94de:7d82/1272c19:dd:d9:dd:c25:c25:94de:7d83
1952c19:dd:d9:dd:c25:c25:94de:7d84/1272c19:dd:d9:dd:c25:c25:94de:7d85
1962c19:dd:d9:dd:c25:c25:94de:7d86/1272c19:dd:d9:dd:c25:c25:94de:7d87
1972c19:dd:d9:dd:c25:c25:94de:7d88/1272c19:dd:d9:dd:c25:c25:94de:7d89
1982c19:dd:d9:dd:c25:c25:94de:7d8a/1272c19:dd:d9:dd:c25:c25:94de:7d8b
1992c19:dd:d9:dd:c25:c25:94de:7d8c/1272c19:dd:d9:dd:c25:c25:94de:7d8d
2002c19:dd:d9:dd:c25:c25:94de:7d8e/1272c19:dd:d9:dd:c25:c25:94de:7d8f
2012c19:dd:d9:dd:c25:c25:94de:7d90/1272c19:dd:d9:dd:c25:c25:94de:7d91
2022c19:dd:d9:dd:c25:c25:94de:7d92/1272c19:dd:d9:dd:c25:c25:94de:7d93
2032c19:dd:d9:dd:c25:c25:94de:7d94/1272c19:dd:d9:dd:c25:c25:94de:7d95
2042c19:dd:d9:dd:c25:c25:94de:7d96/1272c19:dd:d9:dd:c25:c25:94de:7d97
2052c19:dd:d9:dd:c25:c25:94de:7d98/1272c19:dd:d9:dd:c25:c25:94de:7d99
2062c19:dd:d9:dd:c25:c25:94de:7d9a/1272c19:dd:d9:dd:c25:c25:94de:7d9b
2072c19:dd:d9:dd:c25:c25:94de:7d9c/1272c19:dd:d9:dd:c25:c25:94de:7d9d
2082c19:dd:d9:dd:c25:c25:94de:7d9e/1272c19:dd:d9:dd:c25:c25:94de:7d9f
2092c19:dd:d9:dd:c25:c25:94de:7da0/1272c19:dd:d9:dd:c25:c25:94de:7da1
2102c19:dd:d9:dd:c25:c25:94de:7da2/1272c19:dd:d9:dd:c25:c25:94de:7da3
2112c19:dd:d9:dd:c25:c25:94de:7da4/1272c19:dd:d9:dd:c25:c25:94de:7da5
2122c19:dd:d9:dd:c25:c25:94de:7da6/1272c19:dd:d9:dd:c25:c25:94de:7da7
2132c19:dd:d9:dd:c25:c25:94de:7da8/1272c19:dd:d9:dd:c25:c25:94de:7da9
2142c19:dd:d9:dd:c25:c25:94de:7daa/1272c19:dd:d9:dd:c25:c25:94de:7dab
2152c19:dd:d9:dd:c25:c25:94de:7dac/1272c19:dd:d9:dd:c25:c25:94de:7dad
2162c19:dd:d9:dd:c25:c25:94de:7dae/1272c19:dd:d9:dd:c25:c25:94de:7daf
2172c19:dd:d9:dd:c25:c25:94de:7db0/1272c19:dd:d9:dd:c25:c25:94de:7db1
2182c19:dd:d9:dd:c25:c25:94de:7db2/1272c19:dd:d9:dd:c25:c25:94de:7db3
2192c19:dd:d9:dd:c25:c25:94de:7db4/1272c19:dd:d9:dd:c25:c25:94de:7db5
2202c19:dd:d9:dd:c25:c25:94de:7db6/1272c19:dd:d9:dd:c25:c25:94de:7db7
2212c19:dd:d9:dd:c25:c25:94de:7db8/1272c19:dd:d9:dd:c25:c25:94de:7db9
2222c19:dd:d9:dd:c25:c25:94de:7dba/1272c19:dd:d9:dd:c25:c25:94de:7dbb
2232c19:dd:d9:dd:c25:c25:94de:7dbc/1272c19:dd:d9:dd:c25:c25:94de:7dbd
2242c19:dd:d9:dd:c25:c25:94de:7dbe/1272c19:dd:d9:dd:c25:c25:94de:7dbf
2252c19:dd:d9:dd:c25:c25:94de:7dc0/1272c19:dd:d9:dd:c25:c25:94de:7dc1
2262c19:dd:d9:dd:c25:c25:94de:7dc2/1272c19:dd:d9:dd:c25:c25:94de:7dc3
2272c19:dd:d9:dd:c25:c25:94de:7dc4/1272c19:dd:d9:dd:c25:c25:94de:7dc5
2282c19:dd:d9:dd:c25:c25:94de:7dc6/1272c19:dd:d9:dd:c25:c25:94de:7dc7
2292c19:dd:d9:dd:c25:c25:94de:7dc8/1272c19:dd:d9:dd:c25:c25:94de:7dc9
2302c19:dd:d9:dd:c25:c25:94de:7dca/1272c19:dd:d9:dd:c25:c25:94de:7dcb
2312c19:dd:d9:dd:c25:c25:94de:7dcc/1272c19:dd:d9:dd:c25:c25:94de:7dcd
2322c19:dd:d9:dd:c25:c25:94de:7dce/1272c19:dd:d9:dd:c25:c25:94de:7dcf
2332c19:dd:d9:dd:c25:c25:94de:7dd0/1272c19:dd:d9:dd:c25:c25:94de:7dd1
2342c19:dd:d9:dd:c25:c25:94de:7dd2/1272c19:dd:d9:dd:c25:c25:94de:7dd3
2352c19:dd:d9:dd:c25:c25:94de:7dd4/1272c19:dd:d9:dd:c25:c25:94de:7dd5
2362c19:dd:d9:dd:c25:c25:94de:7dd6/1272c19:dd:d9:dd:c25:c25:94de:7dd7
2372c19:dd:d9:dd:c25:c25:94de:7dd8/1272c19:dd:d9:dd:c25:c25:94de:7dd9
2382c19:dd:d9:dd:c25:c25:94de:7dda/1272c19:dd:d9:dd:c25:c25:94de:7ddb
2392c19:dd:d9:dd:c25:c25:94de:7ddc/1272c19:dd:d9:dd:c25:c25:94de:7ddd
2402c19:dd:d9:dd:c25:c25:94de:7dde/1272c19:dd:d9:dd:c25:c25:94de:7ddf
2412c19:dd:d9:dd:c25:c25:94de:7de0/1272c19:dd:d9:dd:c25:c25:94de:7de1
2422c19:dd:d9:dd:c25:c25:94de:7de2/1272c19:dd:d9:dd:c25:c25:94de:7de3
2432c19:dd:d9:dd:c25:c25:94de:7de4/1272c19:dd:d9:dd:c25:c25:94de:7de5
2442c19:dd:d9:dd:c25:c25:94de:7de6/1272c19:dd:d9:dd:c25:c25:94de:7de7
2452c19:dd:d9:dd:c25:c25:94de:7de8/1272c19:dd:d9:dd:c25:c25:94de:7de9
2462c19:dd:d9:dd:c25:c25:94de:7dea/1272c19:dd:d9:dd:c25:c25:94de:7deb
2472c19:dd:d9:dd:c25:c25:94de:7dec/1272c19:dd:d9:dd:c25:c25:94de:7ded
2482c19:dd:d9:dd:c25:c25:94de:7dee/1272c19:dd:d9:dd:c25:c25:94de:7def
2492c19:dd:d9:dd:c25:c25:94de:7df0/1272c19:dd:d9:dd:c25:c25:94de:7df1
2502c19:dd:d9:dd:c25:c25:94de:7df2/1272c19:dd:d9:dd:c25:c25:94de:7df3
2512c19:dd:d9:dd:c25:c25:94de:7df4/1272c19:dd:d9:dd:c25:c25:94de:7df5
2522c19:dd:d9:dd:c25:c25:94de:7df6/1272c19:dd:d9:dd:c25:c25:94de:7df7
2532c19:dd:d9:dd:c25:c25:94de:7df8/1272c19:dd:d9:dd:c25:c25:94de:7df9
2542c19:dd:d9:dd:c25:c25:94de:7dfa/1272c19:dd:d9:dd:c25:c25:94de:7dfb
2552c19:dd:d9:dd:c25:c25:94de:7dfc/1272c19:dd:d9:dd:c25:c25:94de:7dfd
2562c19:dd:d9:dd:c25:c25:94de:7dfe/1272c19:dd:d9:dd:c25:c25:94de:7dff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses